<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: D:/web/serveur/dokeos/acces_wims/phpcas/CAS/domxml-php4-php5.php File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>File&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>D:/web/serveur/dokeos/acces_wims/phpcas/CAS/domxml-php4-php5.php File Reference</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_attr.html">php4DOMAttr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_document.html">php4DOMDocument</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_element.html">php4DOMElement</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_node.html">php4DOMNode</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_nodelist.html">php4DOMNodelist</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_x_path.html">php4DOMXPath</a></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="domxml-php4-php5_8php.html#a506b6afcfd1527369956f3daaf121fb6">domxml_new_doc</a> ($version)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="domxml-php4-php5_8php.html#a88bb1e4c2ea7f3c0bc6c796a19d543ac">domxml_open_file</a> ($filename)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="domxml-php4-php5_8php.html#a3842a4a076220606c7c5fe2e84eccdf7">domxml_open_mem</a> ($str)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="domxml-php4-php5_8php.html#a07d4936f689c0875b159e01222ba9262">xpath_eval</a> ($xpath_context, $eval_str, $contextnode=null)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="domxml-php4-php5_8php.html#aeb6023a348fd50fd817cd28b3d682502">xpath_new_context</a> ($dom_document)</td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Require PHP5, uses built-in DOM extension. To be used in PHP4 scripts using DOMXML extension. Allows PHP4/DOMXML scripts to run on PHP5/DOM. (Requires PHP5/XSL extension for domxml_xslt functions)</p>
<p>Typical use: </p>
<pre>
 {
  if (version_compare(PHP_VERSION,'5','&gt;='))
   require_once('domxml-php4-to-php5.php');
 }
 </pre><p>Version 1.5.5, 2005-01-18, <a href="http://alexandre.alapetite.net/doc-alex/domxml-php4-php5/">http://alexandre.alapetite.net/doc-alex/domxml-php4-php5/</a></p>
<p>------------------------------------------------------------------<br/>
 Written by Alexandre Alapetite, <a href="http://alexandre.alapetite.net/cv/">http://alexandre.alapetite.net/cv/</a></p>
<p>Copyright 2004, Licence: Creative Commons "Attribution-ShareAlike 2.0 France" BY-SA (FR), <a href="http://creativecommons.org/licenses/by-sa/2.0/fr/">http://creativecommons.org/licenses/by-sa/2.0/fr/</a> <a href="http://alexandre.alapetite.net/divers/apropos/#by-sa">http://alexandre.alapetite.net/divers/apropos/#by-sa</a></p>
<ul>
<li>Attribution. You must give the original author credit</li>
<li>Share Alike. If you alter, transform, or build upon this work, you may distribute the resulting work only under a license identical to this one</li>
<li>The French law is authoritative</li>
<li>Any of these conditions can be waived if you get permission from Alexandre Alapetite</li>
<li>Please send to Alexandre Alapetite the modifications you make, in order to improve this file for the benefit of everybody</li>
</ul>
<p>If you want to distribute this code, please do it as a link to: <a href="http://alexandre.alapetite.net/doc-alex/domxml-php4-php5/">http://alexandre.alapetite.net/doc-alex/domxml-php4-php5/</a> </p>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a506b6afcfd1527369956f3daaf121fb6"></a><!-- doxytag: member="domxml&#45;php4&#45;php5.php::domxml_new_doc" ref="a506b6afcfd1527369956f3daaf121fb6" args="($version)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">domxml_new_doc </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>version</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a88bb1e4c2ea7f3c0bc6c796a19d543ac"></a><!-- doxytag: member="domxml&#45;php4&#45;php5.php::domxml_open_file" ref="a88bb1e4c2ea7f3c0bc6c796a19d543ac" args="($filename)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">domxml_open_file </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>filename</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a3842a4a076220606c7c5fe2e84eccdf7"></a><!-- doxytag: member="domxml&#45;php4&#45;php5.php::domxml_open_mem" ref="a3842a4a076220606c7c5fe2e84eccdf7" args="($str)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">domxml_open_mem </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>str</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a07d4936f689c0875b159e01222ba9262"></a><!-- doxytag: member="domxml&#45;php4&#45;php5.php::xpath_eval" ref="a07d4936f689c0875b159e01222ba9262" args="($xpath_context, $eval_str, $contextnode=null)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xpath_eval </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>xpath_context</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>eval_str</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>contextnode</em> = <code>null</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aeb6023a348fd50fd817cd28b3d682502"></a><!-- doxytag: member="domxml&#45;php4&#45;php5.php::xpath_new_context" ref="aeb6023a348fd50fd817cd28b3d682502" args="($dom_document)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xpath_new_context </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>dom_document</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:55 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
